
Redmine - Patch #13338

Remove "warning: class variable access from toplevel" in lib/plugins/rfpdf/lib/tcpdf.rb

2013-03-02 13:35 - Jun NAITOH

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

$ ruby -v

ruby 2.0.0p0 (2013-02-24 revision 39474) [i686-linux]

$ rake test:units

lib/plugins/rfpdf/lib/tcpdf.rb:42: warning: class variable access from toplevel

lib/plugins/rfpdf/lib/tcpdf.rb:43: warning: class variable access from toplevel

http://www.redmine.org/builds/logs/build_trunk_mysql_ruby-2.0.0-p0_1246.html

/var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.0.0-p0/lib/plugins/rfpdf/l

ib/tcpdf.rb:42: warning: class variable access from toplevel

/var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/mysql/RUBY_VER/ruby-2.0.0-p0/lib/plugins/rfpdf/l

ib/tcpdf.rb:43: warning: class variable access from toplevel

Related issues:

Related to Redmine - Feature #13329: Ruby 2.0 support Closed

Associated revisions

Revision 11527 - 2013-03-03 11:25 - Toshi MARUYAMA

Ruby2.0: remove "warning: class variable access from toplevel" in lib/plugins/rfpdf/lib/tcpdf.rb (#13338, #13329)

Contributed by Jun NAITOH.

Revision 11533 - 2013-03-03 13:10 - Toshi MARUYAMA

Merged r11527 from trunk to 2.3-stable (#13338, #13329)

Ruby2.0: remove "warning: class variable access from toplevel" in lib/plugins/rfpdf/lib/tcpdf.rb.

Contributed by Jun NAITOH.

History

#1 - 2013-03-03 14:58 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r11527 and 2.3-stable r11533, thanks.
